<%= form.hidden_field :deleted, id: "proposal-draft-#{form.index}-deleted" %>
<div class="grid-x">
  <div class="cell">
    <%= form.hidden_field :position, class: "position" %>
    <%= form.text_field :title, required: true %>
  </div>
</div>
<% if proposal.try(:article?) %>
  <div class="grid-x">
    <div class="cell"><%= form.text_area :body, required: true, rows: 5 %></div>
  </div>
  <div class="grid-x">
    <%= form.attachment :image_attachment,
        multiple: false,
        label: t("decidim.proposals.proposals.edit.add_image"),
        button_label: t("decidim.proposals.proposals.edit.add_image"),
        button_edit_label: t("decidim.proposals.proposals.edit.edit_image"),
        help_i18n_scope: "decidim.forms.file_help.image",
        extension_allowlist: Decidim::OrganizationSettings.for(current_organization).upload_allowed_file_extensions_image %>
  </div>
<% elsif proposal.table? %>
  <div>
    <%= 
      form.text_area :body, rows: 5, 
      placeholder: "Adicione o texto da tabela aqui", 
      label: t('decidim.proposals.admin.participatory_texts.table.label.text'),
      help_text: t('decidim.proposals.admin.participatory_texts.table.label.text_help')
    %>
  </div>

  <div>
    <%= 
      form.upload :attachment_file, optional: true, 
      label: t('decidim.proposals.admin.participatory_texts.table.label.file'),
      help: t('decidim.proposals.admin.participatory_texts.table.label.file_help')
    %>
  </div>
<% elsif proposal.try(:image?) %>
  <div class="grid-x">
    <%= form.attachment :image_attachment,
        multiple: false,
        label: t("decidim.proposals.proposals.edit.add_image"),
        button_label: t("decidim.proposals.proposals.edit.add_image"),
        button_edit_label: t("decidim.proposals.proposals.edit.edit_image"),
        help_i18n_scope: "decidim.forms.file_help.image",
        extension_allowlist: Decidim::OrganizationSettings.for(current_organization).upload_allowed_file_extensions_image %>
  </div>
<% end %>
